Query workflow run result
curl --request GET \
--url https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/query/task/{run_id} \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/query/task/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/query/task/{run_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/query/task/{run_id}")
.header("X-API-Key", "<api-key>")
.asString();const url = 'https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/query/task/{run_id}';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/query/task/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/query/task/{run_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/query/task/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": "<string>",
"message": "<string>",
"tips": "<string>",
"data": {}
}{
"code": "<string>",
"message": "<string>",
"tips": "<string>"
}Workflow
Query workflow run result
Query workflow run status and result by run_id.
GET
/
open
/
agentic_engine
/
laiye
/
v1
/
app
/
run
/
query
/
task
/
{run_id}
Query workflow run result
Authorizations
Workflow engine API access key.
Path Parameters
Run ID.
⌘I
